Name:           x-tile
Version:        3.3
Release:        %mkrel 6
Summary:        A GTK application to tile windows in different ways
Group:          Graphical desktop/Other
License:        GPLv2+
URL:            https://www.giuspen.com/x-tile/
Source0:        https://www.giuspen.com/software/%{name}-%{version}.tar.xz
Patch1:		0001-Port-to-Ayatana-AppIndicator.patch
Patch2:		x-tile-3.3-setuptools.patch
BuildArch:      noarch
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

Requires:       python3-cairo
Requires:       python3-gi

%description
X-tile is a GTK application that allows you to select a number of windows and
tile them in different ways. This is especially useful for comparing products
in separate web pages, or for programmers referring to documentation as they
are programming.

%prep
%autosetup -p1

# Remove import of cons module in setup.py, only needed to get the current
# version of x-tile. The cons module calls the gtk one, which needs a running
# graphical session
sed -i "\|import cons|d; s|cons.VERSION|\"%{version}\"|" setup.py

%build
%py3_build

%install
%{__python3} setup.py install --no-compile --root %{buildroot}

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc license
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.svg
%{python3_sitelib}/*.egg-info
%{_mandir}/man1/%{name}.1.*


%changelog
* Wed Dec 27 2023 daviddavid <daviddavid> 3.3-6.mga10
+ Revision: 2022039
- rebuild for py3.12

* Sun Sep 25 2022 neoclust <neoclust> 3.3-5.mga9
+ Revision: 1892286
- Add support for newer setuptools

* Sat Mar 26 2022 umeabot <umeabot> 3.3-4.mga9
+ Revision: 1828536
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 3.3-3.mga9
+ Revision: 1778498
- Rebuild for python-3.10

* Sat Mar 20 2021 daviddavid <daviddavid> 3.3-2.mga9
+ Revision: 1705229
- rebuild for python 3.9

* Mon Nov 16 2020 daviddavid <daviddavid> 3.3-1.mga8
+ Revision: 1646505
- new version: 3.3

* Mon Sep 07 2020 daviddavid <daviddavid> 3.2-1.mga8
+ Revision: 1623306
- new version: 3.2

* Thu Aug 06 2020 wally <wally> 3.1-2.mga8
+ Revision: 1611519
- port to Ayatana AppIndicator

* Tue Jul 14 2020 daviddavid <daviddavid> 3.1-1.mga8
+ Revision: 1606083
- new version: 3.1
- port to python3 and gtk3

* Thu Jul 11 2019 daviddavid <daviddavid> 2.6-1.mga8
+ Revision: 1419974
- new version: 2.6

* Wed Sep 19 2018 umeabot <umeabot> 2.5.1-3.mga7
+ Revision: 1277367
- Mageia 7 Mass Rebuild
- Mageia 6 Mass Rebuild

* Thu Nov 26 2015 daviddavid <daviddavid> 2.5.1-1.mga6
+ Revision: 906308
- imported package x-tile

